org.apache.ignite.internal.processors.cache

## Class CacheEntryPredicateNoValue

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheEntryPredicateAdapter
  - - org.apache.ignite.internal.processors.cache.CacheEntryPredicateNoValue

All Implemented Interfaces:
  Serializable, CacheEntryPredicate, IgnitePredicate<GridCacheEntryEx>, Message

    public class CacheEntryPredicateNoValue
    extends CacheEntryPredicateAdapter

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.CacheEntryPredicateAdapter

`locked`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`CacheEntryPredicateNoValue()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(GridCacheEntryEx e)` Predicate body.

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheEntryPredicateAdapter

`directType, entryLocked, fieldsCount, finishUnmarshal, onAckReceived, peekVisibleValue, prepareMarshal, readFrom, writeTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheEntryPredicateNoValue

    public CacheEntryPredicateNoValue()

### Method Detail

#### apply

    public boolean apply(GridCacheEntryEx e)

Predicate body.

Parameters:
  `e` - Predicate parameter.
Returns:
  Return value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021